PHYSFS_ArchiveInfo(3)

NAME
PHYSFS_ArchiveInfo - Information on various PhysicsFS-supported archives.

SYNOPSIS

#include <physfs.h>

  Data Fields
const char * extension
const char * description
const char * author
const char * url
int supportsSymlinks

Detailed Description

Information on various PhysicsFS-supported archives. This structure gives you details on what sort of archives are supported by this implementation of PhysicsFS. Archives tend to be things like ZIP files and such.

Warning
    Not all binaries are created equal! PhysicsFS can be built with or without support for various archives. You can check with PHYSFS_supportedArchiveTypes() to see if your archive type is supported.

See also
    PHYSFS_supportedArchiveTypes

    PHYSFS_registerArchiver

    PHYSFS_deregisterArchiver

Field Documentation

  const char* PHYSFS_ArchiveInfo::author
Person who did support for this archive.

  const char* PHYSFS_ArchiveInfo::description
Human-readable archive description.

  const char* PHYSFS_ArchiveInfo::extension
Archive file extension: "ZIP", for example.

  int PHYSFS_ArchiveInfo::supportsSymlinks
non-zero if archive offers symbolic links.

  const char* PHYSFS_ArchiveInfo::url
URL related to this archive

Author

Generated automatically by Doxygen for physfs from the source code.